package com.bonus.canteen.core.allocation.canteen.vo;

import com.bonus.canteen.core.common.utils.BaseTreeNode;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class AllocAreaTreeVO extends BaseTreeNode {
   private String treeName;
   private Integer areaLevel;
   @ApiModelProperty("优先级排序")
   private Integer sortNo;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;


   public String getTreeName() {
      return this.treeName;
   }

   public Integer getAreaLevel() {
      return this.areaLevel;
   }

   public Integer getSortNo() {
      return this.sortNo;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setTreeName(final String treeName) {
      this.treeName = treeName;
   }

   public void setAreaLevel(final Integer areaLevel) {
      this.areaLevel = areaLevel;
   }

   public void setSortNo(final Integer sortNo) {
      this.sortNo = sortNo;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

}
